import request from '@/utils/request'

// 查询外部联系人信息表列表
export function listExternalContactInfo(query) {
  return request({
    url: '/qw/externalContactInfo/list',
    method: 'get',
    params: query
  })
}

// 查询外部联系人信息表详细
export function getExternalContactInfo(id) {
  return request({
    url: '/qw/externalContactInfo/' + id,
    method: 'get'
  })
}

// 新增外部联系人信息表
export function addExternalContactInfo(data) {
  return request({
    url: '/qw/externalContactInfo',
    method: 'post',
    data: data
  })
}

// 修改外部联系人信息表
export function updateExternalContactInfo(data) {
  return request({
    url: '/qw/externalContactInfo',
    method: 'put',
    data: data
  })
}

// 删除外部联系人信息表
export function delExternalContactInfo(id) {
  return request({
    url: '/qw/externalContactInfo/' + id,
    method: 'delete'
  })
}
export function editTalk(id) {
  return request({
    url: '/qw/externalContactInfo/editTalk/' + id,
    method: 'put'
  })
}

export function editAllTalk(id) {
  return request({
    url: '/qw/externalContactInfo/editAllTalk/' + id,
    method: 'put'
  })
}
// 导出外部联系人信息表
export function exportExternalContactInfo(query) {
  return request({
    url: '/qw/externalContactInfo/export',
    method: 'get',
    params: query
  })
}